module Robojora
  class Board
    def initialize
      @minimum_axis_value = Robojora::Settings.minimum_axis_value
      @maximum_axis_value = Robojora::Settings.maximum_axis_value
    end

    def build
      grid_template.each_with_object([]) do |coordinates, array|
        array << create_grid_square(coordinates)
      end
    end

    def grid_template
      axis_values = calculate_axis_values
      axis_values.product(axis_values)
    end

    private

    attr_reader :minimum_axis_value, :maximum_axis_value

    def calculate_axis_values
      (minimum_axis_value..maximum_axis_value).to_a
    end

    def create_grid_square(coordinates)
      Robojora::Square.new(
        coordinates: coordinates,
        borders: Robojora::BorderClassifier.new(coordinates).assign_border_limit
      )
    end
  end
end
