module Robojora
  class BorderClassifier

    attr_reader :borders, :coordinates

    def initialize(coordinates)
      @borders = []
      @coordinates = coordinates
    end

    def assign_border_limit
      assign_to_north_border_if_north_coordinate
      assign_to_west_border_if_west_coordinate
      assign_to_south_border_if_south_coordinate
      assign_to_east_border_if_east_coordinate
      borders
    end

    private

    def assign_to_north_border_if_north_coordinate
      borders << Robojora::Settings.north if coordinates.last == Robojora::Settings.maximum_axis_value
    end

    def assign_to_west_border_if_west_coordinate
      borders << Robojora::Settings.west  if coordinates.first == Robojora::Settings.minimum_axis_value
    end

    def assign_to_south_border_if_south_coordinate
      borders << Robojora::Settings.south if coordinates.last == Robojora::Settings.minimum_axis_value
    end

    def assign_to_east_border_if_east_coordinate
      borders << Robojora::Settings.east if coordinates.first == Robojora::Settings.maximum_axis_value
    end
  end
end
