module Robojora
  class Rotator
    LEFT = (Robojora::Settings.cardinal_points + [Robojora::Settings.north]).freeze
    RIGHT = LEFT.reverse.freeze

    private_constant :LEFT, :RIGHT

    attr_reader :initial_direction

    def initialize(initial_direction)
      @initial_direction = initial_direction
    end

    def left
      LEFT.fetch(left_desired_cardinal_direction_index)
    end

    def right
      RIGHT.fetch(right_desired_cardinal_direction_index)
    end

    private

    def left_desired_cardinal_direction_index
      LEFT.index(initial_direction) + 1
    end

    def right_desired_cardinal_direction_index
      RIGHT.index(initial_direction) + 1
    end
  end
end
