module Robojora
  class Settings
    MINIMUM_AXIS_VALUE = 0
    MAXIMUM_AXIS_VALUE = 4

    NORTH = 'north'.freeze
    WEST = 'west'.freeze
    SOUTH = 'south'.freeze
    EAST = 'east'.freeze

    CARDINAL_POINTS = [NORTH, WEST, SOUTH, EAST].freeze


    private_constant :NORTH, :WEST, :SOUTH, :EAST, :CARDINAL_POINTS,
                     :MINIMUM_AXIS_VALUE, :MAXIMUM_AXIS_VALUE

    def self.minimum_axis_value
      MINIMUM_AXIS_VALUE
    end

    def self.maximum_axis_value
      MAXIMUM_AXIS_VALUE
    end

    def self.cardinal_points
      CARDINAL_POINTS
    end

    def self.north
      NORTH
    end

    def self.west
      WEST
    end

    def self.south
      SOUTH
    end

    def self.east
      EAST
    end
  end
end
